	function generate_uuid()
	{
		netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
		try
		{
			var uuidGenerator =  Components.classes["@mozilla.org/uuid-generator;1"].getService(Components.interfaces.nsIUUIDGenerator);
			var uuid = uuidGenerator.generateUUID();
			var uuidString = uuid.toString();
			alert("New Client"+uuidString);
			return uuidString;
		}
		catch (e)
		{
			document.write(e);
			return false;
		}
	}